notebook outputs
curl --request GET \
--url https://engine.example.com/api/v1/notebooks/{notebook_id}/runs/{run_id}/cells/{execution_id}/outputsimport requests
url = "https://engine.example.com/api/v1/notebooks/{notebook_id}/runs/{run_id}/cells/{execution_id}/outputs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/notebooks/{notebook_id}/runs/{run_id}/cells/{execution_id}/outputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/notebooks/{notebook_id}/runs/{run_id}/cells/{execution_id}/outputs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/notebooks/{notebook_id}/runs/{run_id}/cells/{execution_id}/outputs"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/notebooks/{notebook_id}/runs/{run_id}/cells/{execution_id}/outputs")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/notebooks/{notebook_id}/runs/{run_id}/cells/{execution_id}/outputs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"continuation": 1,
"outputs": [
{
"at": {
"unix_millis": 123
},
"event": {
"Output": {
"display_id": "<string>",
"output": "<unknown>"
}
},
"sequence": 1
}
],
"status": "Queued",
"truncated": true
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}Notebook outputs
notebook outputs. GET /api/v1/notebooks//runs//cells//outputs. Read retained cell output events, including sequence IDs. execution_id is a cell e
notebook outputs
curl --request GET \
--url https://engine.example.com/api/v1/notebooks/{notebook_id}/runs/{run_id}/cells/{execution_id}/outputsimport requests
url = "https://engine.example.com/api/v1/notebooks/{notebook_id}/runs/{run_id}/cells/{execution_id}/outputs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/notebooks/{notebook_id}/runs/{run_id}/cells/{execution_id}/outputs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/notebooks/{notebook_id}/runs/{run_id}/cells/{execution_id}/outputs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/notebooks/{notebook_id}/runs/{run_id}/cells/{execution_id}/outputs"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/notebooks/{notebook_id}/runs/{run_id}/cells/{execution_id}/outputs")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/notebooks/{notebook_id}/runs/{run_id}/cells/{execution_id}/outputs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"continuation": 1,
"outputs": [
{
"at": {
"unix_millis": 123
},
"event": {
"Output": {
"display_id": "<string>",
"output": "<unknown>"
}
},
"sequence": 1
}
],
"status": "Queued",
"truncated": true
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}ReferenceApplies to: Unified engine deployments
Related guidance
Addresses and access · Request identity · Errors and recovery · Pagination and resultsPath Parameters
Response
Successful response.
Last modified on November 4, 2026